StocksAndFisheriesKB - Task #23492

RAM-FishSource-FIRMS merge
Jun 10, 2022 02:33 PM - Bracken van Niekerk

Status: Closed Start date: Jun 10, 2022
Priority: Normal Due date:

Assignee: Yannis Marketakis % Done: 100%
Category: Estimated time: 0.00 hour
Target version: GRSF

Description

Dear @marketak@ics.forth.gr
Please, we have found two records below that require merging, with the first (RAM/FishSource) record to be the dominant one.

GRSF name: Engraulis encrasicolus - Bay of Biscay (Subarea 27.8)
Short Name: Anchovy ICES VIII

GRSF Semantic Identifier: asfis:ANE+fa0:27.8

Record UUID: dcc783b5-ffea-3ede-b1b2-8b65f8ac3c0a

RAM ID: ANCHOBAYB

FishSource ID: 1738

GRSF name: Engraulis encrasicolus - Bay of Biscay (Subarea 27.8)
Short Name: Anchovy - Bay of Biscay

GRSF Semantic Identifier: asfis:ANE+fa0:27.8

Record UUID: 53ce460d-b3b0-3fd3-a706-4d9b2a87869f

FIRMS ID: 10457

As these records share the same metadata, we are curious as to why were they not merged or suggested as merging by the system
in the recent data harvest?

History

#1 - Jun 14, 2022 08:50 AM - Yannis Marketakis

- Status changed from New to In Progress

Hi @bracken.vanniekerk@fao.org

When refreshing GRSF, we no longer rely on the GRSF construction workflow, that automatically merges such records.

Instead, we rely on GRSF Refresh workflow, which re-uses existing merging events. In future, | guess we could combine those so that apart from
preserving existing merges, it proposes as well new potential mergings.

I'll trigger the aforementioned merging right now.

#2 - Jun 14, 2022 09:15 AM - Yannis Marketakis

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

The records are merged.

The resulted (merged) record is https://data.d4science.org/ctlg/GRSF/dcc783b5-ffea-3ede-b1b2-8b65{8ac3c0a

#3 - Jun 14, 2022 11:55 AM - Bracken van Niekerk
Hi @marketak@ics.forth.gr

Thank you kindly for the explanation and for the merging action, all looks good.

@aureliano.gentile@fao.org
